> # NAME

> cgD3D10GetProgramErrors - Gets a list of errors returned from Direct3D if the program did not load.

> # SYNOPSIS

>       #include <Cg/cgD3D10.h>

>       ID3D10Blob * cgD3D10GetProgramErrors( CGprogram program );

> # PARAMETERS

> program

>   The program handle after a call to cgD3D10LoadProgram has been made.

> # RETURN VALUES

> Returns a pointer to a ID3D10Blob object containing a list of errors if the program did not load.

> Returns NULL if the program was loaded.

> # DESCRIPTION

> cgD3D10GetProgramErrors allows the user to get back the compiled shader from Direct3D once cgD3D10LoadProgram has been called.

> # EXAMPLES

> CGprogram myCgProgram = cgCreateProgram( ... ); cgD3D10LoadProgram( myCgProgram, 0 );

> ID3D10Blob * err = cgD3D10GetProgramErrors( myCgProgram );

> # ERRORS

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if the program is invalid;

> # HISTORY

> cgD3D10GetProgramErrors was introduced in Cg 2.1.

> # SEE ALSO

> cgD3D10LoadProgram